directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Swanson <m...@ScheduleWorld.com>
Subject Re: How do I compile for Java 1.5?
Date Mon, 07 Apr 2008 17:39:46 GMT
Alex Karasulu wrote:
> Hi Mark,
>
> 1.0 is locked in at JDK 1.4.  Is this offending AttributeTypeProducer 
> one that you provide as an override to the schema plugin or is it 
> generated?
Generated.
Fwiw I would happily change whatever is required to compile at Java 1.5.
> If generated then we have a big problem.  It means someone on our team 
> decided to use generics in the 1.0 codebase.  This is something we 
> need to fix.  Until then the 1.0 trunk will be broken.
>
Fwiw I'm not using trunk that I'm aware of.
I just did a mvn -e install like usual. I haven't had to do this in a 
while so I can't be sure when it stopped working.

I'd be grateful if you could point me to the code that hard codes javac 
to 1.4 so I can fix this now.
Fwiw I think it's fine to mandate Java 1.5 as the minimum. (speaking for 
me only of course)

Cheers.


Mime
View raw message